> ## Documentation Index
> Fetch the complete documentation index at: https://docs.outai.top/llms.txt
> Use this file to discover all available pages before exploring further.

# Get task status

> Returns the current task status and the final result when available.



## OpenAPI

````yaml /openapi.json get /v1/tasks
openapi: 3.1.0
info:
  title: Seedance 2.0 API
  version: 1.0.0
  description: >-
    API for creating Seedance 2.0 video tasks, checking task status, and
    retrieving API credit balance.
servers:
  - url: https://api.outai.top/api
security: []
paths:
  /v1/tasks:
    get:
      summary: Get task status
      description: Returns the current task status and the final result when available.
      operationId: getTaskStatus
      parameters:
        - name: task_id
          in: query
          required: true
          schema:
            type: string
          description: The task_id returned by the create task endpoint.
      responses:
        '200':
          description: Task retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetTaskResponse'
        '400':
          description: Request failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    GetTaskResponse:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          properties:
            data:
              $ref: '#/components/schemas/TaskData'
    ErrorResponse:
      allOf:
        - $ref: '#/components/schemas/EnvelopeBase'
        - type: object
          properties:
            data:
              type: 'null'
              example: null
    EnvelopeBase:
      type: object
      properties:
        code:
          type: integer
          example: 200
        trace_id:
          type: string
          example: 45c30d76f06549b199a3775544523689
        message:
          type:
            - string
            - 'null'
          example: null
    TaskData:
      type: object
      properties:
        task_id:
          type: string
          example: task_id
        status:
          type: string
          enum:
            - running
            - succeeded
            - failed
        model:
          type: string
          example: seedance_2_0
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        credits_cost:
          type: number
          example: 12
        result:
          oneOf:
            - $ref: '#/components/schemas/TaskResult'
            - type: 'null'
    TaskResult:
      type: object
      properties:
        video_url:
          type:
            - string
            - 'null'
          format: uri
          example: https://example.com/output.mp4
        error_message:
          type:
            - string
            - 'null'
          example: null
        finished_at:
          type:
            - string
            - 'null'
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````